org.apache.solr.cloud.rule

## Class ServerSnitchContext

- java.lang.Object
- - org.apache.solr.common.cloud.rule.SnitchContext
  - - org.apache.solr.cloud.rule.ServerSnitchContext

- All Implemented Interfaces:
    RemoteCallback

      public class ServerSnitchContext
      extends SnitchContext

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.common.cloud.rule.SnitchContext

      `SnitchContext.SnitchInfo`

  - ### Field Summary

    - ### Fields inherited from class org.apache.solr.common.cloud.rule.SnitchContext

      `exception, snitchInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerSnitchContext(SnitchContext.SnitchInfo perSnitch, String node, Map<String,Object> session, CoreContainer coreContainer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map` | `getZkJson(String path)`
    `SimpleSolrResponse` | `invoke(UpdateShardHandler shardHandler, String url, String path, SolrParams params)`
    `void` | `invokeRemote(String node, ModifiableSolrParams params, String klas, RemoteCallback callback)`

    - ### Methods inherited from class org.apache.solr.common.cloud.rule.SnitchContext

      `getErrMsg, getNode, getSnitchInfo, getTags, remoteCallback, retrieve, store`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerSnitchContext

          public ServerSnitchContext(SnitchContext.SnitchInfo perSnitch,
                                     String node,
                                     Map<String,Object> session,
                                     CoreContainer coreContainer)

  - ### Method Detail

    - #### getZkJson

          public Map getZkJson(String path)

      Specified by:
        `getZkJson` in class `SnitchContext`

    - #### invokeRemote

          public void invokeRemote(String node,
                                   ModifiableSolrParams params,
                                   String klas,
                                   RemoteCallback callback)

      Specified by:
        `invokeRemote` in class `SnitchContext`

    - #### invoke

          public SimpleSolrResponse invoke(UpdateShardHandler shardHandler,
                                           String url,
                                           String path,
                                           SolrParams params)
                                    throws IOException,
                                           SolrServerException

      Throws:
        `IOException`
        `SolrServerException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.